package me.tylermoser.budget.android.fragments

import android.content.Context
import android.net.Uri
import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import me.tylermoser.budget.R
import me.tylermoser.budget.android.activities.BudgetActivity

/**
 * The parent class of all app [Fragment]s to be displayed in the main Navigation Drawer view
 *
 * @author Tyler Moser
 */
abstract class NavDrawerFragment: Fragment() {

    private var listener: NavDrawerFragment.OnFragmentInteractionListener? = null

    protected val budgetActivity by lazy { activity as BudgetActivity }

    /**
     * Inflates the UI and modifies the app bar for the currently active [Fragment]
     */
    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?,
                              savedInstanceState: Bundle?): View?
    {
        val v = inflater.inflate(R.layout.fragment_active_budget, container, false)
        setAppBar()
        return v
    }

    /**
     * Boilerplate autogenerated code so that it doesn't have to be included in each descendant
     * class
     */
    override fun onAttach(context: Context) {
        super.onAttach(context)
        if (context is NavDrawerFragment.OnFragmentInteractionListener) {
            listener = context
        } else {
            throw RuntimeException(context.toString() + " must implement OnFragmentInteractionListener")
        }
    }

    /**
     * Boilerplate autogenerated code so that it doesn't have to be included in each descendant
     * class
     */
    override fun onDetach() {
        super.onDetach()
        listener = null
    }

    /**
     * Modifies the App Bar to match the desired state for the current fragment
     */
    abstract fun setAppBar()

    /**
     * An interface to be implemented by [BudgetActivity] for communicating with this [Fragment]
     */
    interface OnFragmentInteractionListener {
        fun onFragmentInteraction(uri: Uri)
    }

}
